﻿@model InternalRosterReportsViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Internal Roster Report
            </h1>

        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-export-pdf fg-black"></i>
            </a>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>


    <div class="clearfix"></div>

    <div class="row place-left one-half padding-right20">
        <label class="req-star">School</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.SchoolId"
                        ng-change="fillSeasonData(Model.SchoolId)"
                        placeholder="Select school"
                        ng-options="obj.Value as obj.Text for obj in AllSchools">

                    <option value="" disabled selected>Select school</option>
                </select>
            </div>
        </div>
    </div>

    <div class="row place-left one-half">
        <label class="req-star">Season</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.SeasonId"
                        ng-change="fillProgramsData(Model.SeasonId)"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllSeasons">

                    <option value="" disabled selected>Select season</option>
                </select>
            </div>
        </div>
    </div>
    <div class="row place-left one-half">
        <label>Program</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ProgramId"
                        data-placeholder="Select season"
                        ng-options="obj.Value as obj.Text for obj in AllPrograms">

                    <option value="" disabled selected>Select program</option>
                </select>
            </div>
        </div>
    </div>
    <br />
    <div class="clearfix"></div>
    <button class="success place-right large button" ng-click="runReport()" id="ConfirmInvoice">Run</button>
    <div class="clearfix"></div>
    <hr />
    <div class="structure-divider-large" ng-repeat="item in ModelPrograms">
        <table class="jbt-table-custom structure-gray structure-no-bordered">
            <tr>
                <td><span class="structure-bold structure-no-wrap" style="min-width:210px">Class: </span> {{item.ClassName}}</td>
                <td><span class="structure-bold structure-no-wrap" style="min-width:210px">Time period: </span> {{item.SeasonName}}</td>
                <td><span class="structure-bold structure-no-wrap" style="min-width:210px">Minimum enrollments: </span> {{item.MinimumEnrollments}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">Grades/Ages: </span> {{item.GradesOrAges}}</td>
                <td><span class="structure-bold structure-no-wrap">Primary instructor: </span> {{item.Instructor}}</td>
                <td><span class="structure-bold structure-no-wrap">Capacity: </span> {{item.Capacity}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">Dates: </span> {{item.ProgramDate}}</td>
                <td><span class="structure-bold structure-no-wrap">Facility/Room: </span><span>{{item.Location}}</span></td>
                <td><span class="structure-bold structure-no-wrap">Enrolled: </span> {{item.Enrolled}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">Days: </span> {{item.ClassDays}}</td>
                <td><span class="structure-bold structure-no-wrap"></span> </td>
                <td><span class="structure-bold structure-no-wrap">Pending: </span>{{item.Pending}}</td>
            </tr>
            <tr>
                <td><span class="structure-bold structure-no-wrap">Time: </span>{{item.StrTime}}</td>  
                <td><span class="structure-bold structure-no-wrap"> </span></td>
                <td><span class="structure-bold structure-no-wrap">WaitList: </span>{{item.WaitList}}</td>
            </tr>
        </table>

        <div class="container-table-responsive">
            <table class="jbt-table-custom">
                <tr class="structure-gray structure-text-center" style="height: 44px;">
                    <th style="min-width:50px !important">#</th>
                    <th class="structure-no-wrap">Participant name</th>
                    <th class="structure-no-wrap">Contact name</th>
                    <th class="structure-no-wrap">Phone</th>
                    <th class="structure-no-wrap">Email</th>
                    <th class="structure-no-wrap">Dismissal</th>
                    <th class="structure-no-wrap">Allergies</th>
                    <th class="structure-no-wrap" style="max-width:120px !important">Medical conditions</th>
                    <th class="structure-no-wrap">Grade/Age</th>
                </tr>
                <tr class="structure-text-center structure-gray">
                    <td style="min-width:50px !important">#</td>
                    <td class="structure-no-wrap">Participant name</td>

                    <td>

                        <span class="structure-no-wrap">PARENT 1</span>
                        <hr class="hr" />
                        <span class="structure-no-wrap"> AUTHORIZED PICKUP 1</span>
                        <hr class="hr" />
                        <span class="structure-no-wrap">  EMERGENCY CONTACT</span>

                    </td>
                    <td>

                        <span class="structure-no-wrap"> PARENT 1 </span>

                        <hr class="hr" />
                        <span class="structure-no-wrap">  AUTHORIZED PICKUP 1 </span>

                        <hr class="hr" />
                        <span class="structure-no-wrap">   EMERGENCY CONTACT </span>


                    </td>
                    <td>

                        <span class="structure-no-wrap">  PARENT 1  </span>

                        <hr class="hr" />
                        <span class="structure-no-wrap">  AUTHORIZED PICKUP 1 </span>

                        <hr class="hr" />
                        <span class="structure-no-wrap">  EMERGENCY CONTACT </span>


                    </td>
                    <td style="max-width:90px !important;min-width:90px !important;">Dismissal</td>
                    <td style="max-width:120px !important;min-width:120px !important;">Allergies</td>
                    <td style="max-width:160px !important;min-width:160px !important;">Medical conditions</td>
                    <td style="max-width:70px !important;min-width:70px !important;word-break:break-all !important">Grade/Age</td>
                </tr>
                <tr class="structure-text-center" ng-repeat="participant in item.ProgramParticipants">

                    <td style="min-width:50px !important">{{participant.Number}}</td>
                    <td>{{participant.ParticipantName}} </td>
                    <td>
                        {{participant.Parent1Name}}
                        <hr class="hr" />
                        {{participant.AuthorizedPickup1Name}}
                        <hr class="hr" />
                        {{participant.EmergencyContactName}}
                    </td>
                    <td>
                        {{participant.Parent1Phone}}
                        <hr class="hr" />
                        {{participant.AuthorizedPickup1Phone}}
                        <hr class="hr" />
                        {{participant.EmergencyContactPhone}}
                    </td>
                    <td>
                        {{participant.Parent1Email}}<br />
                        <hr class="hr" />
                        {{participant.AuthorizedPickup1Email}}<br />
                        <hr class="hr" />
                        {{participant.EmergencyContactEmail}}<br />
                    </td>
                    <td style="max-width:90px !important;min-width:90px !important;">{{participant.TransportHome}} </td>
                    <td style="max-width:120px !important;min-width:120px !important;">{{participant.Allergies}} </td>
                    <td style="max-width:160px !important;min-width:160px !important;">{{participant.MedicalConditions}} </td>
                    <td style="max-width:70px !important;min-width:70px  !important;word-break:break-all !important">{{participant.GradeOrAge}} </td>
                </tr>

            </table>
        </div>
        
    </div>

    <div class="clearfix"></div>

</div>
